Docs Rizler

Prompts

Update Prompt

POSThttps://app.rizzdial.com/api/ai/agent/v2/prompt/update
Update Prompt
curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v2/prompt/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "agentId": "value",
  "save_mode": "copy",
  "prompt_mode": "single",
  "prompt_name": "value",
  "general_prompt": "value",
  "prompt_faq_base": "value",
  "prompt_appt_flow": "value",
  "prompt_call_flow": "value",
  "prompt_character": "value",
  "prompt_greetings": "value",
  "prompt_objections": "value",
  "apply_to_agent_ids": [],
  "prompt_custom_vars": "value",
  "prompt_script_flow": "value",
  "selected_prompt_id": "value",
  "prompt_company_info": "value",
  "apply_to_agent_ids.*": "value",
  "project_instructions": "value",
  "prompt_critical_instr": "value",
  "prompt_transfer_instr": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Prompt#

Update Agent Prompt via API..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agentIdstringbodyrequired

Request field

prompt_modestringbodyrequired

One of: single, sectioned

general_promptstringbodyrequired

Request field

project_instructionsstringbody

may be null

prompt_namestringbody

max 255. may be null

prompt_greetingsstringbody

may be null

prompt_characterstringbody

may be null

prompt_critical_instrstringbody

may be null

prompt_transfer_instrstringbody

may be null

prompt_custom_varsstringbody

may be null

prompt_company_infostringbody

may be null

prompt_script_flowstringbody

may be null

prompt_call_flowstringbody

may be null

prompt_objectionsstringbody

may be null

prompt_appt_flowstringbody

may be null

prompt_faq_basestringbody

may be null

save_modestringbody

One of: copy, override. may be null

selected_prompt_idstringbody

may be null

apply_to_agent_idsarraybody

may be null

apply_to_agent_ids.*stringbody

Request field

curl --request POST \
 --url https://app.rizzdial.com/api/ai/agent/v2/prompt/update \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"agentId":"value","prompt_mode":"single","general_prompt":"value","project_instructions":"value","prompt_name":"value","prompt_greetings":"value","prompt_character":"value","prompt_critical_instr":"value","prompt_transfer_instr":"value","prompt_custom_vars":"value","prompt_company_info":"value","prompt_script_flow":"value","prompt_call_flow":"value","prompt_objections":"value","prompt_appt_flow":"value","prompt_faq_base":"value","save_mode":"copy","selected_prompt_id":"value","apply_to_agent_ids":[],"apply_to_agent_ids.*":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records